Package org.apache.catalina.filters

# Enum ExpiresFilter.DurationUnit

java.lang.Object
java.lang.Enum<ExpiresFilter.DurationUnit>
org.apache.catalina.filters.ExpiresFilter.DurationUnit

All Implemented Interfaces:
  `Serializable`, `Comparable<ExpiresFilter.DurationUnit>`, `java.lang.constant.Constable`

Enclosing class:
  ExpiresFilter

protected static enum ExpiresFilter.DurationUnit extends Enum<ExpiresFilter.DurationUnit>
Duration unit

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY`
  `HOUR`
  `MINUTE`
  `MONTH`
  `SECOND`
  `WEEK`
  `YEAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCalendardField()`
  `static ExpiresFilter.DurationUnit`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ExpiresFilter.DurationUnit[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DAY

    public static final ExpiresFilter.DurationUnit DAY

  - ### HOUR

    public static final ExpiresFilter.DurationUnit HOUR

  - ### MINUTE

    public static final ExpiresFilter.DurationUnit MINUTE

  - ### MONTH

    public static final ExpiresFilter.DurationUnit MONTH

  - ### SECOND

    public static final ExpiresFilter.DurationUnit SECOND

  - ### WEEK

    public static final ExpiresFilter.DurationUnit WEEK

  - ### YEAR

    public static final ExpiresFilter.DurationUnit YEAR

- ## Method Details

  - ### values

    public static ExpiresFilter.DurationUnit[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ExpiresFilter.DurationUnit valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCalendardField

    public int getCalendardField()